using System;
using System.Reflection;
using System.Reflection.Emit;

internal sealed class Delegate865 : MulticastDelegate
{
	public extern void Invoke(object object_0, OpCode opCode_0, ConstructorInfo constructorInfo_0);

	public static void smethod_0(object object_0, OpCode opCode_0, ConstructorInfo constructorInfo_0, Delegate865 delegate865_1)
	{
		delegate865_1(object_0, opCode_0, constructorInfo_0);
	}

	public extern Delegate865(object object_0, IntPtr intptr_0);

	static Delegate865()
	{
		Class10.smethod_13(typeof(Delegate865).TypeHandle);
	}

	internal static Delegate865 delegate865_0;
}
